Issue 22037 - Italicizing first character of footnote text italicizes number, too
Summary: Italicizing first character of footnote text italicizes number, too
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 1.1
Hardware: PC Windows XP
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2003-11-03 03:55 UTC by dbiberdorf
Modified: 2013-08-07 14:38 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Text file showing italic bug (14.60 KB, application/vnd.sun.xml.writer)
2004-02-12 21:53 UTC, rick_jenkins
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description dbiberdorf 2003-11-03 03:55:46 UTC
If I create a footnote in OO 1.1 and immediately enable italics, for example, to
type "ibid" or the title of a book, the footnote number gets italicized, too.
The only way I've found around this is to first type a space, THEN enable
italics, type my text, then remove the space from the start of the footnote.

My footnote numbers should NOT be italicized simply because the initial text of
the footnote is italicized. This happens a lot when footnoting citations in
academic papers.
Comment 1 jack.warchold 2004-01-16 10:09:45 UTC
reassigend to jw

i will take a look on this issue
Comment 2 guido.pinkernell 2004-02-01 17:10:36 UTC
This actually happens with any numbered list, whether that's a footnote or a
simple numbered list within the text area: Changing the character typeface to
italics or bold right after inserting a numbering the number gets changed too.
This is expected behaviour, however I do see that this is a problem with footnotes.

I will change this to an RFE, and set to New.
Comment 3 jack.warchold 2004-02-09 14:06:38 UTC
set target to OOo later. this may be changed just set as default.
Comment 4 jack.warchold 2004-02-11 13:26:12 UTC
yes this happend with any numbered list. i saw some bugs requesting for change in 
this feature. but as far as this is not realy a bug i only can change the issue type of 
this issue to enhancement and reassign this to the owner of enhancementissues to 
make visible that a change of this behaviour is hardly requested.
changed issuetype to enhancement
reassigend to bh
Comment 5 rick_jenkins 2004-02-12 21:53:50 UTC
Created attachment 13080 [details]
Text file showing italic bug
Comment 6 rick_jenkins 2004-02-12 21:58:00 UTC
This bug can be seen in a text file with an image, attached. The text following
the eps image always appears italic, regardless of settings, and it prints in
italics too. If the same file is created under StarOffice 6.0, then read in to
OpenOffice 1.1.0, the bug is not seen. Font is important: the bug is not seen if
the font is changed from Helvetica to Lucida Sans. Font size does not seem to
affect the bug.
Comment 7 ace_dent 2008-05-16 02:56:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 bettina.haberer 2010-05-21 14:50:48 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".